import * as i3 from '@abp/ng.components/page';
import { PageModule } from '@abp/ng.components/page';
import * as i2 from '@abp/ng.core';
import { ReplaceableRouteContainerComponent, authGuard, RouterOutletComponent, LazyModuleFactory, CoreModule } from '@abp/ng.core';
import { ThemeSharedModule } from '@abp/ng.theme.shared';
import * as i0 from '@angular/core';
import { inject, Component, NgModule } from '@angular/core';
import { SettingTabsService } from '@abp/ng.setting-management/config';
import { Subscription } from 'rxjs';
import * as i1 from '@angular/common';
import * as i1$1 from '@angular/router';
import { RouterModule } from '@angular/router';

class SettingManagementComponent {
    constructor() {
        this.settingTabsService = inject(SettingTabsService);
        this.subscription = new Subscription();
        this.settings = [];
        this.trackByFn = (_, item) => item.name;
    }
    ngOnDestroy() {
        this.subscription.unsubscribe();
    }
    ngOnInit() {
        this.subscription.add(this.settingTabsService.visible$.subscribe(settings => {
            this.settings = settings;
            if (!this.selected)
                this.selected = this.settings[0];
        }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.1.8", ngImport: i0, type: SettingManagementComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.1.8", type: SettingManagementComponent, isStandalone: false, selector: "abp-setting-management", ngImport: i0, template: "<abp-page [title]=\"'AbpSettingManagement::Settings' | abpLocalization\">\r\n  <div id=\"SettingManagementWrapper\">\r\n    <div class=\"card\">\r\n      <div class=\"card-body\">\r\n        <div class=\"row\">\r\n          <div class=\"col-12 col-md-3 mb-2 mb-md-0\">\r\n            <ul class=\"nav flex-column nav-pills\" id=\"nav-tab\" role=\"tablist\">\r\n              <ng-container *abpFor=\"let setting of settings; trackBy: trackByFn\">\r\n                <li\r\n                  (click)=\"selected = setting\"\r\n                  class=\"nav-item pointer\"\r\n                  *abpPermission=\"setting.requiredPolicy\"\r\n                >\r\n                  <a\r\n                    class=\"nav-link\"\r\n                    [id]=\"setting.name + '-tab'\"\r\n                    role=\"tab\"\r\n                    [class.active]=\"setting.name === selected.name\"\r\n                    >{{ setting.name | abpLocalization }}</a\r\n                  >\r\n                </li>\r\n              </ng-container>\r\n            </ul>\r\n          </div>\r\n          <div class=\"col-12 col-md-9\">\r\n            @if (settings.length) {\r\n              <div class=\"tab-content pt-0\">\r\n                <div\r\n                  class=\"tab-pane fade show active\"\r\n                  [id]=\"selected.name + '-tab'\"\r\n                  role=\"tabpanel\"\r\n                >\r\n                  <ng-container *ngComponentOutlet=\"selected.component\" />\r\n                </div>\r\n              </div>\r\n            }\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</abp-page>\r\n", dependencies: [{ kind: "directive", type: i1.NgComponentOutlet, selector: "[ngComponentOutlet]", inputs: ["ngComponentOutlet", "ngComponentOutletInputs", "ngComponentOutletInjector", "ngComponentOutletContent", "ngComponentOutletNgModule", "ngComponentOutletNgModuleFactory"], exportAs: ["ngComponentOutlet"] }, { kind: "directive", type: i2.ForDirective, selector: "[abpFor]", inputs: ["abpForOf", "abpForOrderBy", "abpForOrderDir", "abpForFilterBy", "abpForFilterVal", "abpForTrackBy", "abpForCompareBy", "abpForEmptyRef"] }, { kind: "directive", type: i2.PermissionDirective, selector: "[abpPermission]", inputs: ["abpPermission", "abpPermissionRunChangeDetection"] }, { kind: "component", type: i3.PageComponent, selector: "abp-page", inputs: ["title", "toolbar", "breadcrumb"] }, { kind: "pipe", type: i2.LocalizationPipe, name: "abpLocalization" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.1.8", ngImport: i0, type: SettingManagementComponent, decorators: [{
            type: Component,
            args: [{ standalone: false, selector: 'abp-setting-management', template: "<abp-page [title]=\"'AbpSettingManagement::Settings' | abpLocalization\">\r\n  <div id=\"SettingManagementWrapper\">\r\n    <div class=\"card\">\r\n      <div class=\"card-body\">\r\n        <div class=\"row\">\r\n          <div class=\"col-12 col-md-3 mb-2 mb-md-0\">\r\n            <ul class=\"nav flex-column nav-pills\" id=\"nav-tab\" role=\"tablist\">\r\n              <ng-container *abpFor=\"let setting of settings; trackBy: trackByFn\">\r\n                <li\r\n                  (click)=\"selected = setting\"\r\n                  class=\"nav-item pointer\"\r\n                  *abpPermission=\"setting.requiredPolicy\"\r\n                >\r\n                  <a\r\n                    class=\"nav-link\"\r\n                    [id]=\"setting.name + '-tab'\"\r\n                    role=\"tab\"\r\n                    [class.active]=\"setting.name === selected.name\"\r\n                    >{{ setting.name | abpLocalization }}</a\r\n                  >\r\n                </li>\r\n              </ng-container>\r\n            </ul>\r\n          </div>\r\n          <div class=\"col-12 col-md-9\">\r\n            @if (settings.length) {\r\n              <div class=\"tab-content pt-0\">\r\n                <div\r\n                  class=\"tab-pane fade show active\"\r\n                  [id]=\"selected.name + '-tab'\"\r\n                  role=\"tabpanel\"\r\n                >\r\n                  <ng-container *ngComponentOutlet=\"selected.component\" />\r\n                </div>\r\n              </div>\r\n            }\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</abp-page>\r\n" }]
        }] });

const routes = [
    {
        path: '',
        component: RouterOutletComponent,
        canActivate: [authGuard],
        children: [
            {
                path: '',
                component: ReplaceableRouteContainerComponent,
                data: {
                    requiredPolicy: 'AbpAccount.SettingManagement',
                    replaceableComponent: {
                        key: "SettingManagement.SettingManagementComponent" /* eSettingManagementComponents.SettingManagement */,
                        defaultComponent: SettingManagementComponent,
                    },
                },
            },
        ],
        title: 'AbpSettingManagement::Settings',
    },
];
class SettingManagementRoutingModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.1.8", ngImport: i0, type: SettingManagementRoutingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.1.8", ngImport: i0, type: SettingManagementRoutingModule, imports: [i1$1.RouterModule], exports: [RouterModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.1.8", ngImport: i0, type: SettingManagementRoutingModule, imports: [RouterModule.forChild(routes), RouterModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.1.8", ngImport: i0, type: SettingManagementRoutingModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [RouterModule.forChild(routes)],
                    exports: [RouterModule],
                }]
        }] });

class SettingManagementModule {
    static forChild() {
        return {
            ngModule: SettingManagementModule,
            providers: [],
        };
    }
    static forLazy() {
        return new LazyModuleFactory(SettingManagementModule.forChild());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.1.8", ngImport: i0, type: SettingManagementModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.1.8", ngImport: i0, type: SettingManagementModule, declarations: [SettingManagementComponent], imports: [SettingManagementRoutingModule, CoreModule, ThemeSharedModule, PageModule], exports: [SettingManagementComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.1.8", ngImport: i0, type: SettingManagementModule, imports: [SettingManagementRoutingModule, CoreModule, ThemeSharedModule, PageModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.1.8", ngImport: i0, type: SettingManagementModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SettingManagementComponent],
                    exports: [SettingManagementComponent],
                    imports: [SettingManagementRoutingModule, CoreModule, ThemeSharedModule, PageModule],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { SettingManagementComponent, SettingManagementModule };
//# sourceMappingURL=abp-ng.setting-management.mjs.map
